#include <fstream>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>

using namespace std;

const int B = 100000000;

int T, H, V;

int chk1(int l, int r, int u, int d)
{
	return (l+r+u+d == T) && (r-l == H) && (u-d == V);
}

int chk2(int l, int r, int u, int d)
{
	return (-B <= l && l <= B) && 
		(-B <= r && r <= B) && 
		(-B <= u && u <= B) && 
		(-B <= d && d <= B);
}

int main(int argc, char* argv[])
{
	ifstream f_in(argv[1]);
	ifstream f_out(argv[2]);
	ifstream f_ans(argv[3]);

	f_in >> T >> H >> V;

	int L, R, U, D;
	f_ans >> L >> R >> U >> D;
	if (!f_ans) {
		cout << "jury PE" << endl;
		return 3;
	}
	if (!chk1(L, R, U, D)) {
		cout << "jury WA: THV neq" << endl;
		return 3;
	}
	if (!chk2(L, R, U, D)) {
		cout << "jury WA: out of bounds" << endl;
		return 3;
	}

	int l, r, u, d;
	f_out >> l >> r >> u >> d;
	if (!f_out) return 2;
	if (!chk1(l, r, u, d)) {
		cout << "bad THV neq" << endl;
		return 1;
	}
	if (!chk2(l, r, u, d)) {
		cout << "out of bounds: " << l << " " << r << " " << u << " " << d << " " << endl;
		return 1;
	}

	cout << "ok" << endl;
	return 0;
}
